---
search:
  tags:
    - Variants
    - PUT
seo:
  description: >-
    Creates new prices or updates existing prices for… Reference for the PUT
    /api/v1/{team_slug}/{app_slug}/variants/prices/bulk endpoint in the
    Management API.
sidebar:
  label: Bulk create or update variant prices
  badge: PUT
title: Bulk create or update variant prices
type: openapi-operation
---
Creates new prices or updates existing prices for product variants in bulk. Accepts up to 100 price items with variant, store group, and market information. Each price item can include regular price, sale price, reference price, status, and sale date ranges.

`PUT /api/v1/{team_slug}/{app_slug}/variants/prices/bulk`

**Request body** (`application/json`, required)

Prices data

- `dont_update_price_if_on_sale` (boolean) — Used to prevent overwriting price if on\_sale.
- `prices` (internal_pkg_webserver_v1.BulkPutPriceItem[], required)

Request body example:

```json
{
  "dont_update_price_if_on_sale": true,
  "prices": [
    {
      "amount_cents_with_tax": 0,
      "market_slug": "string",
      "on_sale": true,
      "reference_price_with_tax": 0,
      "sale_end_timestamp": "string",
      "sale_price_with_tax": 0,
      "sale_start_timestamp": "string",
      "status": "active",
      "store_group_slug": "string",
      "variant_id": "string"
    }
  ]
}
```

**Responses**

- `200` — Prices created or updated successfully
- `400` — Invalid request
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "failed": [
      {
        "market_slug": "string",
        "reason": "string",
        "store_group_slug": "string",
        "variant_id": "string"
      }
    ],
    "successful": [
      {
        "amount_cents_with_tax": 0,
        "created_at": "string",
        "id": "string",
        "market": {
          "active": true,
          "country_codes": [
            "string"
          ],
          "created_at": "string",
          "currency_code": "string",
          "id": "string",
          "locale": "string",
          "name": "string",
          "slug": "string",
          "updated_at": "string"
        },
        "on_sale": true,
        "reference_price_with_tax": 0,
        "sale_end_timestamp": "string",
        "sale_price_with_tax": 0,
        "sale_start_timestamp": "string",
        "status": "active",
        "store_group": {
          "country_of_sale": "string",
          "created_at": "string",
          "description": "string",
          "id": "string",
          "name": "string",
          "slug": "string",
          "store_type": "string",
          "updated_at": "string"
        },
        "updated_at": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
